> For the complete documentation index, see [llms.txt](https://docs.mediarithmics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mediarithmics.io/api-reference/marketplace/managing-services.md).

# Managing Services

Operations related to Services, the resources that can be exchanged in the marketplace such as segments and data products.

## GET /subscribed\_services/{customer\_org\_id}/category\_trees

> Search categories tree

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Managing services","description":"Operations related to Services, the resources that can be exchanged in the marketplace such as segments and data products."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/subscribed_services/{customer_org_id}/category_trees":{"get":{"description":"","parameters":[{"schema":{"type":"integer","format":"int64"},"name":"customer_org_id","explode":false,"required":true,"in":"path","style":"simple"},{"style":"form","in":"query","required":false,"explode":true,"schema":{"type":"array","items":{"$ref":"#/components/schemas/ServiceFamily"}},"name":"service_family"},{"style":"form","schema":{"type":"array","items":{"$ref":"#/components/schemas/ServiceType"}},"in":"query","required":false,"explode":true,"name":"service_type"},{"schema":{"$ref":"#/components/schemas/Locale"},"style":"form","required":false,"in":"query","description":"locale","explode":true,"name":"locale"},{"in":"query","name":"category_type","style":"form","required":false,"explode":true,"schema":{"type":"array","items":{"$ref":"#/components/schemas/ServiceCategoryType"}}},{"name":"category_subtype","style":"form","schema":{"type":"array","items":{"$ref":"#/components/schemas/ServiceCategorySubtype"}},"explode":true,"in":"query","required":false}],"tags":["Managing services"],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"max_results":{"type":"integer"},"first_result":{"type":"integer"},"status":{"type":"string","enum":["ok"]},"count":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/ServiceCategoryTree"}},"total":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"findCategoryTrees","summary":"Search categories tree"}}},"components":{"schemas":{"ServiceFamily":{"type":"object"},"ServiceType":{"type":"object"},"Locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"ServiceCategoryType":{"type":"object"},"ServiceCategorySubtype":{"type":"object"},"ServiceCategoryTree":{"type":"object","properties":{"node":{"$ref":"#/components/schemas/ServiceCategoryPublicResource"},"children":{"type":"array","items":{"$ref":"#/components/schemas/ServiceCategoryTree"},"readOnly":false}},"required":["children","node"]},"ServiceCategoryPublicResource":{"type":"object","properties":{"description":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"provider_id":{"type":"string","readOnly":true},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"parent_category_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"category_subtype":{"$ref":"#/components/schemas/ServiceCategorySubtype"}},"required":["description","id","list_weight","locale","name","provider_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /subscribed\_services/{customer\_org\_id}/services

> Search subscribed service items

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Managing services","description":"Operations related to Services, the resources that can be exchanged in the marketplace such as segments and data products."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/subscribed_services/{customer_org_id}/services":{"get":{"summary":"Search subscribed service items","operationId":"findServiceItemsWithCustomerOrgId","parameters":[{"schema":{"type":"integer","format":"int64"},"name":"customer_org_id","explode":false,"in":"path","required":true,"style":"simple"},{"required":false,"name":"parentCategoryId","schema":{"type":"integer","format":"int64"},"explode":true,"style":"form","in":"query"},{"name":"service_family","in":"query","schema":{"type":"array","items":{"$ref":"#/components/schemas/ServiceFamily"}},"required":false,"style":"form","explode":true},{"explode":true,"in":"query","schema":{"type":"array","items":{"$ref":"#/components/schemas/ServiceType"}},"name":"service_type","required":false,"style":"form"},{"required":false,"in":"query","schema":{"$ref":"#/components/schemas/Locale"},"name":"locale","style":"form","explode":true,"description":"locale"},{"explode":true,"required":false,"in":"query","schema":{"type":"array","items":{"$ref":"#/components/schemas/ServiceCategoryType"}},"style":"form","name":"category_type"},{"required":false,"explode":true,"name":"category_subtype","style":"form","schema":{"type":"array","items":{"$ref":"#/components/schemas/ServiceCategorySubtype"}},"in":"query"},{"name":"search_depth","in":"query","explode":true,"style":"form","schema":{"type":"integer","format":"int32"},"required":false},{"required":false,"explode":true,"style":"form","schema":{"type":"array","items":{"type":"string"}},"name":"order_by","in":"query"},{"explode":true,"schema":{"type":"string"},"name":"keywords","style":"form","in":"query","description":"The keywords to match with organisations locale names","required":false},{"explode":true,"in":"query","name":"first_result","description":"Offset from which the search must be performed","schema":{"type":"integer","format":"int32"},"required":false,"style":"form"},{"explode":true,"in":"query","required":false,"description":"Number of maximum items that shall be return by this search","name":"max_results","schema":{"type":"integer","format":"int32"},"style":"form"}],"tags":["Managing services"],"description":"","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/ServiceItemPublicResource"}},"max_results":{"type":"integer"},"first_result":{"type":"integer"},"status":{"type":"string","enum":["ok"]},"total":{"type":"integer"},"count":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"schemas":{"ServiceFamily":{"type":"object"},"ServiceType":{"type":"object"},"Locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"ServiceCategoryType":{"type":"object"},"ServiceCategorySubtype":{"type":"object"},"ServiceItemPublicResource":{"discriminator":{"propertyName":"type","mapping":{"ad_exchange_hub_inventory":"#/components/schemas/AdExchangeHubInventoryServiceItemPublicResource","inventory_access_ad_exchange":"#/components/schemas/AdExchangeInventoryAccessPublicResource","user_account_compartment":"#/components/schemas/UserAccountCompartmentServiceItemPublicResource","base":"#/components/schemas/BaseServiceItemPublicResource","user_data_stream":"#/components/schemas/UserDataStreamServiceItemPublicResource","device_technical_id_registry":"#/components/schemas/DeviceTechnicalIdRegistryServiceItemPublicResource","audience_segment":"#/components/schemas/AudienceSegmentServiceItemPublicResource","inventory_access_display_network":"#/components/schemas/DisplayNetworkInventoryAccessPublicResource"}},"oneOf":[{"$ref":"#/components/schemas/UserDataStreamServiceItemPublicResource"},{"$ref":"#/components/schemas/AudienceSegmentServiceItemPublicResource"},{"$ref":"#/components/schemas/BaseServiceItemPublicResource"},{"$ref":"#/components/schemas/AdExchangeHubInventoryServiceItemPublicResource"},{"$ref":"#/components/schemas/AdExchangeInventoryAccessPublicResource"},{"$ref":"#/components/schemas/DisplayNetworkInventoryAccessPublicResource"},{"$ref":"#/components/schemas/DeviceTechnicalIdRegistryServiceItemPublicResource"},{"$ref":"#/components/schemas/UserAccountCompartmentServiceItemPublicResource"}],"properties":{"type":{"type":"string","enum":["user_data_stream","audience_segment","base","ad_exchange_hub_inventory","inventory_access_ad_exchange","inventory_access_display_network","device_technical_id_registry","user_account_compartment"]}},"required":["type"]},"UserDataStreamServiceItemPublicResource":{"type":"object","properties":{"name":{"type":"string","readOnly":false},"provider_id":{"type":"string","readOnly":true},"datamart_id":{"type":"string","readOnly":false},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"description":{"type":"string","readOnly":false},"user_identifier_filters":{"type":"array","items":{"$ref":"#/components/schemas/UserIdentifierFilterPublicResource"},"readOnly":false},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"id":{"type":"string","readOnly":true},"local_cache_mode":{"$ref":"#/components/schemas/UserDataStreamLocalCacheMode"},"user_content_filters":{"type":"array","items":{"$ref":"#/components/schemas/UserContentFilterPublicResource"},"readOnly":false},"reseller_agreement_id":{"type":"string","readOnly":false},"extension_operator":{"$ref":"#/components/schemas/UserDataStreamExtensionOperator"},"category_id":{"type":"string","readOnly":false}},"required":["category_id","datamart_id","description","extension_operator","id","list_weight","local_cache_mode","locale","name","provider_id","user_content_filters","user_identifier_filters"]},"UserIdentifierFilterPublicResource":{"discriminator":{"propertyName":"type","mapping":{"user_account_filter":"#/components/schemas/UserAccountFilterPublicResource","user_device_technical_id_filter":"#/components/schemas/UserDeviceTechnicalIdFilterPublicResource","user_email_filter":"#/components/schemas/UserEmailFilterPublicResource"}},"oneOf":[{"$ref":"#/components/schemas/UserAccountFilterPublicResource"},{"$ref":"#/components/schemas/UserDeviceTechnicalIdFilterPublicResource"},{"$ref":"#/components/schemas/UserEmailFilterPublicResource"}],"properties":{"type":{"type":"string","enum":["user_account_filter","user_device_technical_id_filter","user_email_filter"]}},"required":["type"]},"UserAccountFilterPublicResource":{"type":"object","properties":{"compartment_id":{"type":"string","readOnly":false}},"required":["compartment_id"]},"UserDeviceTechnicalIdFilterPublicResource":{"type":"object","properties":{"registry_id":{"type":"string","readOnly":false}},"required":["registry_id"]},"UserEmailFilterPublicResource":{"type":"object"},"UserDataStreamLocalCacheMode":{"type":"string","enum":["OBJECT_TREE_INDEX_CACHE","FULL_LOCAL_CACHE"],"readOnly":false},"UserContentFilterPublicResource":{"discriminator":{"propertyName":"type","mapping":{"user_activity_filter":"#/components/schemas/UserActivityFilterPublicResource","user_profile_filter":"#/components/schemas/UserProfileFilterPublicResource","user_segment_filter":"#/components/schemas/UserSegmentFilterPublicResource"}},"oneOf":[{"$ref":"#/components/schemas/UserActivityFilterPublicResource"},{"$ref":"#/components/schemas/UserProfileFilterPublicResource"},{"$ref":"#/components/schemas/UserSegmentFilterPublicResource"}],"properties":{"type":{"type":"string","enum":["user_activity_filter","user_profile_filter","user_segment_filter"]}},"required":["type"]},"UserActivityFilterPublicResource":{"type":"object","properties":{"channel_id":{"type":"string","readOnly":false}}},"UserProfileFilterPublicResource":{"type":"object","properties":{"compartment_id":{"type":"string","readOnly":false}},"required":["compartment_id"]},"UserSegmentFilterPublicResource":{"type":"object"},"UserDataStreamExtensionOperator":{"type":"string","enum":["UNION","INTERSECTION"],"readOnly":false},"AudienceSegmentServiceItemPublicResource":{"type":"object","properties":{"category_id":{"type":"string","readOnly":false},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"segment_id":{"type":"string","readOnly":false},"reseller_agreement_id":{"type":"string","readOnly":false},"provider_id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"datamart_id":{"type":"string","readOnly":false},"description":{"type":"string","readOnly":false}},"required":["category_id","datamart_id","description","id","list_weight","locale","name","provider_id","segment_id"]},"BaseServiceItemPublicResource":{"type":"object","properties":{"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"name":{"type":"string","readOnly":false},"category_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"provider_id":{"type":"string","readOnly":true},"reseller_agreement_id":{"type":"string","readOnly":false},"service_type":{"$ref":"#/components/schemas/ServiceType"},"description":{"type":"string","readOnly":false}},"required":["category_id","description","id","list_weight","locale","name","provider_id","service_type"]},"AdExchangeHubInventoryServiceItemPublicResource":{"type":"object","properties":{"provider_id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false},"ad_exchange_hub_key":{"type":"string","readOnly":false},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"id":{"type":"string","readOnly":true},"reseller_agreement_id":{"type":"string","readOnly":false},"description":{"type":"string","readOnly":false},"category_id":{"type":"string","readOnly":false}},"required":["ad_exchange_hub_key","category_id","description","id","list_weight","locale","name","provider_id"]},"AdExchangeInventoryAccessPublicResource":{"allOf":[{"$ref":"#/components/schemas/InventoryAccessServiceItemPublicResource"},{"type":"object","properties":{"reseller_agreement_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"provider_id":{"type":"string","readOnly":true},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"category_id":{"type":"string","readOnly":false},"description":{"type":"string","readOnly":false},"ad_exchange_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false}},"required":["ad_exchange_id","category_id","description","id","list_weight","locale","name","provider_id"]}]},"InventoryAccessServiceItemPublicResource":{"type":"object"},"DisplayNetworkInventoryAccessPublicResource":{"allOf":[{"$ref":"#/components/schemas/InventoryAccessServiceItemPublicResource"},{"type":"object","properties":{"provider_id":{"type":"string","readOnly":true},"reseller_agreement_id":{"type":"string","readOnly":false},"description":{"type":"string","readOnly":false},"display_network_id":{"type":"string","readOnly":false},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"category_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false}},"required":["category_id","description","display_network_id","id","list_weight","locale","name","provider_id"]}]},"DeviceTechnicalIdRegistryServiceItemPublicResource":{"type":"object","properties":{"description":{"type":"string","readOnly":false},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"provider_id":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false},"category_id":{"type":"string","readOnly":false},"device_technical_id_registry_id":{"type":"string","readOnly":false},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"reseller_agreement_id":{"type":"string","readOnly":false}},"required":["category_id","description","device_technical_id_registry_id","id","list_weight","locale","name","provider_id"]},"UserAccountCompartmentServiceItemPublicResource":{"type":"object","properties":{"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"description":{"type":"string","readOnly":false},"compartment_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"category_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"provider_id":{"type":"string","readOnly":true},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"reseller_agreement_id":{"type":"string","readOnly":false}},"required":["category_id","compartment_id","description","id","list_weight","locale","name","provider_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /available\_service\_items

> Search available service items without custom offer

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Managing services","description":"Operations related to Services, the resources that can be exchanged in the marketplace such as segments and data products."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/available_service_items":{"get":{"description":"","parameters":[{"explode":true,"schema":{"type":"integer","format":"int64"},"in":"query","style":"form","required":false,"description":"Provider id","name":"provider_id"},{"required":false,"in":"query","schema":{"type":"array","items":{"$ref":"#/components/schemas/ServiceFamily"}},"description":"Service item families","explode":true,"name":"service_families","style":"form"},{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ServiceType"}},"style":"form","in":"query","description":"Service item types","explode":true,"required":false,"name":"service_types"},{"required":false,"description":"First result","style":"form","name":"first_result","schema":{"type":"integer","format":"int32"},"explode":true,"in":"query"},{"in":"query","name":"max_results","style":"form","schema":{"type":"integer","format":"int32"},"explode":true,"required":false,"description":"Max results"},{"description":"locale","style":"form","explode":true,"name":"locale","in":"query","required":false,"schema":{"type":"string"}}],"summary":"Search available service items without custom offer","operationId":"findAvailableServiceItemsOld","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/ServiceItemPublicResource"}},"total":{"type":"integer"},"first_result":{"type":"integer"},"max_results":{"type":"integer"},"count":{"type":"integer"},"status":{"type":"string","enum":["ok"]}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["Managing services"]}}},"components":{"schemas":{"ServiceFamily":{"type":"object"},"ServiceType":{"type":"object"},"ServiceItemPublicResource":{"discriminator":{"propertyName":"type","mapping":{"ad_exchange_hub_inventory":"#/components/schemas/AdExchangeHubInventoryServiceItemPublicResource","inventory_access_ad_exchange":"#/components/schemas/AdExchangeInventoryAccessPublicResource","user_account_compartment":"#/components/schemas/UserAccountCompartmentServiceItemPublicResource","base":"#/components/schemas/BaseServiceItemPublicResource","user_data_stream":"#/components/schemas/UserDataStreamServiceItemPublicResource","device_technical_id_registry":"#/components/schemas/DeviceTechnicalIdRegistryServiceItemPublicResource","audience_segment":"#/components/schemas/AudienceSegmentServiceItemPublicResource","inventory_access_display_network":"#/components/schemas/DisplayNetworkInventoryAccessPublicResource"}},"oneOf":[{"$ref":"#/components/schemas/UserDataStreamServiceItemPublicResource"},{"$ref":"#/components/schemas/AudienceSegmentServiceItemPublicResource"},{"$ref":"#/components/schemas/BaseServiceItemPublicResource"},{"$ref":"#/components/schemas/AdExchangeHubInventoryServiceItemPublicResource"},{"$ref":"#/components/schemas/AdExchangeInventoryAccessPublicResource"},{"$ref":"#/components/schemas/DisplayNetworkInventoryAccessPublicResource"},{"$ref":"#/components/schemas/DeviceTechnicalIdRegistryServiceItemPublicResource"},{"$ref":"#/components/schemas/UserAccountCompartmentServiceItemPublicResource"}],"properties":{"type":{"type":"string","enum":["user_data_stream","audience_segment","base","ad_exchange_hub_inventory","inventory_access_ad_exchange","inventory_access_display_network","device_technical_id_registry","user_account_compartment"]}},"required":["type"]},"UserDataStreamServiceItemPublicResource":{"type":"object","properties":{"name":{"type":"string","readOnly":false},"provider_id":{"type":"string","readOnly":true},"datamart_id":{"type":"string","readOnly":false},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"description":{"type":"string","readOnly":false},"user_identifier_filters":{"type":"array","items":{"$ref":"#/components/schemas/UserIdentifierFilterPublicResource"},"readOnly":false},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"id":{"type":"string","readOnly":true},"local_cache_mode":{"$ref":"#/components/schemas/UserDataStreamLocalCacheMode"},"user_content_filters":{"type":"array","items":{"$ref":"#/components/schemas/UserContentFilterPublicResource"},"readOnly":false},"reseller_agreement_id":{"type":"string","readOnly":false},"extension_operator":{"$ref":"#/components/schemas/UserDataStreamExtensionOperator"},"category_id":{"type":"string","readOnly":false}},"required":["category_id","datamart_id","description","extension_operator","id","list_weight","local_cache_mode","locale","name","provider_id","user_content_filters","user_identifier_filters"]},"UserIdentifierFilterPublicResource":{"discriminator":{"propertyName":"type","mapping":{"user_account_filter":"#/components/schemas/UserAccountFilterPublicResource","user_device_technical_id_filter":"#/components/schemas/UserDeviceTechnicalIdFilterPublicResource","user_email_filter":"#/components/schemas/UserEmailFilterPublicResource"}},"oneOf":[{"$ref":"#/components/schemas/UserAccountFilterPublicResource"},{"$ref":"#/components/schemas/UserDeviceTechnicalIdFilterPublicResource"},{"$ref":"#/components/schemas/UserEmailFilterPublicResource"}],"properties":{"type":{"type":"string","enum":["user_account_filter","user_device_technical_id_filter","user_email_filter"]}},"required":["type"]},"UserAccountFilterPublicResource":{"type":"object","properties":{"compartment_id":{"type":"string","readOnly":false}},"required":["compartment_id"]},"UserDeviceTechnicalIdFilterPublicResource":{"type":"object","properties":{"registry_id":{"type":"string","readOnly":false}},"required":["registry_id"]},"UserEmailFilterPublicResource":{"type":"object"},"UserDataStreamLocalCacheMode":{"type":"string","enum":["OBJECT_TREE_INDEX_CACHE","FULL_LOCAL_CACHE"],"readOnly":false},"UserContentFilterPublicResource":{"discriminator":{"propertyName":"type","mapping":{"user_activity_filter":"#/components/schemas/UserActivityFilterPublicResource","user_profile_filter":"#/components/schemas/UserProfileFilterPublicResource","user_segment_filter":"#/components/schemas/UserSegmentFilterPublicResource"}},"oneOf":[{"$ref":"#/components/schemas/UserActivityFilterPublicResource"},{"$ref":"#/components/schemas/UserProfileFilterPublicResource"},{"$ref":"#/components/schemas/UserSegmentFilterPublicResource"}],"properties":{"type":{"type":"string","enum":["user_activity_filter","user_profile_filter","user_segment_filter"]}},"required":["type"]},"UserActivityFilterPublicResource":{"type":"object","properties":{"channel_id":{"type":"string","readOnly":false}}},"UserProfileFilterPublicResource":{"type":"object","properties":{"compartment_id":{"type":"string","readOnly":false}},"required":["compartment_id"]},"UserSegmentFilterPublicResource":{"type":"object"},"UserDataStreamExtensionOperator":{"type":"string","enum":["UNION","INTERSECTION"],"readOnly":false},"AudienceSegmentServiceItemPublicResource":{"type":"object","properties":{"category_id":{"type":"string","readOnly":false},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"segment_id":{"type":"string","readOnly":false},"reseller_agreement_id":{"type":"string","readOnly":false},"provider_id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"datamart_id":{"type":"string","readOnly":false},"description":{"type":"string","readOnly":false}},"required":["category_id","datamart_id","description","id","list_weight","locale","name","provider_id","segment_id"]},"BaseServiceItemPublicResource":{"type":"object","properties":{"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"name":{"type":"string","readOnly":false},"category_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"provider_id":{"type":"string","readOnly":true},"reseller_agreement_id":{"type":"string","readOnly":false},"service_type":{"$ref":"#/components/schemas/ServiceType"},"description":{"type":"string","readOnly":false}},"required":["category_id","description","id","list_weight","locale","name","provider_id","service_type"]},"AdExchangeHubInventoryServiceItemPublicResource":{"type":"object","properties":{"provider_id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false},"ad_exchange_hub_key":{"type":"string","readOnly":false},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"id":{"type":"string","readOnly":true},"reseller_agreement_id":{"type":"string","readOnly":false},"description":{"type":"string","readOnly":false},"category_id":{"type":"string","readOnly":false}},"required":["ad_exchange_hub_key","category_id","description","id","list_weight","locale","name","provider_id"]},"AdExchangeInventoryAccessPublicResource":{"allOf":[{"$ref":"#/components/schemas/InventoryAccessServiceItemPublicResource"},{"type":"object","properties":{"reseller_agreement_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"provider_id":{"type":"string","readOnly":true},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"category_id":{"type":"string","readOnly":false},"description":{"type":"string","readOnly":false},"ad_exchange_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false}},"required":["ad_exchange_id","category_id","description","id","list_weight","locale","name","provider_id"]}]},"InventoryAccessServiceItemPublicResource":{"type":"object"},"DisplayNetworkInventoryAccessPublicResource":{"allOf":[{"$ref":"#/components/schemas/InventoryAccessServiceItemPublicResource"},{"type":"object","properties":{"provider_id":{"type":"string","readOnly":true},"reseller_agreement_id":{"type":"string","readOnly":false},"description":{"type":"string","readOnly":false},"display_network_id":{"type":"string","readOnly":false},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"category_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false}},"required":["category_id","description","display_network_id","id","list_weight","locale","name","provider_id"]}]},"DeviceTechnicalIdRegistryServiceItemPublicResource":{"type":"object","properties":{"description":{"type":"string","readOnly":false},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"provider_id":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false},"category_id":{"type":"string","readOnly":false},"device_technical_id_registry_id":{"type":"string","readOnly":false},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"reseller_agreement_id":{"type":"string","readOnly":false}},"required":["category_id","description","device_technical_id_registry_id","id","list_weight","locale","name","provider_id"]},"UserAccountCompartmentServiceItemPublicResource":{"type":"object","properties":{"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"description":{"type":"string","readOnly":false},"compartment_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"category_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"provider_id":{"type":"string","readOnly":true},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"reseller_agreement_id":{"type":"string","readOnly":false}},"required":["category_id","compartment_id","description","id","list_weight","locale","name","provider_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /subscribed\_services/{customer\_org\_id}/offers/{offer\_id}/service\_items/{service\_id}/service\_item\_conditions

> Search service items for service item in offer

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Managing services","description":"Operations related to Services, the resources that can be exchanged in the marketplace such as segments and data products."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/subscribed_services/{customer_org_id}/offers/{offer_id}/service_items/{service_id}/service_item_conditions":{"get":{"description":"","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"integer"},"total":{"type":"integer"},"status":{"type":"string","enum":["ok"]},"data":{"type":"array","items":{"$ref":"#/components/schemas/ServiceItemConditionsResource"}},"max_results":{"type":"integer"},"first_result":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"summary":"Search service items for service item in offer","operationId":"findServiceItemConditionsForServiceItemInOffer","tags":["Managing services"],"parameters":[{"name":"customer_org_id","style":"simple","explode":false,"schema":{"type":"integer","format":"int64"},"required":true,"in":"path"},{"required":true,"in":"path","name":"offer_id","schema":{"type":"integer","format":"int64"},"style":"simple","explode":false},{"name":"service_id","required":true,"schema":{"type":"integer","format":"int64"},"explode":false,"in":"path","style":"simple"},{"schema":{"type":"integer","format":"int32"},"in":"query","style":"form","name":"first_result","required":false,"explode":true,"description":"Offset from which the search must be performed"},{"explode":true,"name":"max_results","in":"query","required":false,"description":"Number of maximum items that shall be return by this search","schema":{"type":"integer","format":"int32"},"style":"form"}]}}},"components":{"schemas":{"ServiceItemConditionsResource":{"discriminator":{"propertyName":"type","mapping":{"linear_service_item_conditions":"#/components/schemas/LinearServiceItemConditionsResource","plugin_service_item_conditions":"#/components/schemas/PluginServiceItemConditionsResource","provided_service_item_conditions":"#/components/schemas/ProvidedServiceItemConditionsResource"}},"oneOf":[{"$ref":"#/components/schemas/LinearServiceItemConditionsResource"},{"$ref":"#/components/schemas/PluginServiceItemConditionsResource"},{"$ref":"#/components/schemas/ProvidedServiceItemConditionsResource"}],"properties":{"type":{"type":"string","enum":["linear_service_item_conditions","plugin_service_item_conditions","provided_service_item_conditions"]}},"required":["type"]},"LinearServiceItemConditionsResource":{"type":"object","properties":{"fixed_value":{"type":"number","format":"float","default":0,"readOnly":false},"min_value":{"type":"number","format":"float","default":0,"readOnly":false},"percent_value":{"type":"number","format":"float","default":0,"readOnly":false},"currency":{"type":"string","enum":["EUR","USD","GBP"],"readOnly":false},"id":{"type":"string","readOnly":true},"service_item_id":{"type":"string","readOnly":true}},"required":["currency","fixed_value","id","min_value","percent_value","service_item_id"]},"PluginServiceItemConditionsResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"service_item_id":{"type":"string","readOnly":true},"valuator_id":{"type":"string","readOnly":false}},"required":["id","service_item_id","valuator_id"]},"ProvidedServiceItemConditionsResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"service_item_id":{"type":"string","readOnly":true}},"required":["id","service_item_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /service\_items/{service\_item\_id}/locales/{locale\_id}

> update a Service Item locale given its ID

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Managing services","description":"Operations related to Services, the resources that can be exchanged in the marketplace such as segments and data products."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/service_items/{service_item_id}/locales/{locale_id}":{"put":{"operationId":"updateServiceItemLocale","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/ServiceItemLocalePublicResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"requestBody":{"description":"The service item locale to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceItemLocalePublicResource"}}},"required":true},"description":"","summary":"update a Service Item locale given its ID","parameters":[{"name":"service_item_id","explode":false,"style":"simple","schema":{"type":"integer","format":"int64"},"required":true,"in":"path"},{"name":"locale_id","in":"path","explode":false,"style":"simple","schema":{"type":"integer","format":"int64"},"required":true}],"tags":["Managing services"]}}},"components":{"schemas":{"ServiceItemLocalePublicResource":{"type":"object","properties":{"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"description":{"type":"string","readOnly":false},"service_item_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true}},"required":["description","id","locale","name","service_item_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## DELETE /service\_items/{service\_item\_id}/locales/{locale\_id}

> Delete a Service Item locale given its ID

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Managing services","description":"Operations related to Services, the resources that can be exchanged in the marketplace such as segments and data products."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/service_items/{service_item_id}/locales/{locale_id}":{"delete":{"description":"","operationId":"deleteServiceItemLocale","summary":"Delete a Service Item locale given its ID","tags":["Managing services"],"responses":{"200":{"$ref":"#/components/responses/simple"},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"style":"simple","explode":false,"in":"path","required":true,"schema":{"type":"integer","format":"int64"},"name":"service_item_id"},{"in":"path","explode":false,"name":"locale_id","style":"simple","required":true,"schema":{"type":"integer","format":"int64"}}]}}},"components":{"responses":{"simple":{"description":"Success response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]}},"required":["status"]}}}},"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}},"schemas":{"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}}}}
```

## GET /subscribed\_services/{customer\_org\_id}/offers/{offer\_id}/service\_items

> Search service items for offer

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Managing services","description":"Operations related to Services, the resources that can be exchanged in the marketplace such as segments and data products."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/subscribed_services/{customer_org_id}/offers/{offer_id}/service_items":{"get":{"tags":["Managing services"],"operationId":"findServiceItemsForOffer","summary":"Search service items for offer","description":"","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"first_result":{"type":"integer"},"count":{"type":"integer"},"max_results":{"type":"integer"},"status":{"type":"string","enum":["ok"]},"total":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/ServiceItemPublicResource"}}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"explode":false,"schema":{"type":"integer","format":"int64"},"in":"path","style":"simple","required":true,"name":"customer_org_id"},{"style":"simple","schema":{"type":"integer","format":"int64"},"name":"offer_id","required":true,"explode":false,"in":"path"},{"in":"query","explode":true,"required":false,"description":"locale","schema":{"$ref":"#/components/schemas/Locale"},"style":"form","name":"locale"},{"required":false,"style":"form","name":"order_by","schema":{"type":"array","items":{"type":"string"}},"explode":true,"in":"query"},{"in":"query","required":false,"schema":{"type":"string"},"description":"The keywords to match with organisations locale names","explode":true,"name":"keywords","style":"form"},{"name":"first_result","in":"query","schema":{"type":"integer","format":"int32"},"explode":true,"required":false,"style":"form","description":"Offset from which the search must be performed"},{"description":"Number of maximum items that shall be return by this search","in":"query","style":"form","explode":true,"schema":{"type":"integer","format":"int32"},"name":"max_results","required":false}]}}},"components":{"schemas":{"ServiceItemPublicResource":{"discriminator":{"propertyName":"type","mapping":{"ad_exchange_hub_inventory":"#/components/schemas/AdExchangeHubInventoryServiceItemPublicResource","inventory_access_ad_exchange":"#/components/schemas/AdExchangeInventoryAccessPublicResource","user_account_compartment":"#/components/schemas/UserAccountCompartmentServiceItemPublicResource","base":"#/components/schemas/BaseServiceItemPublicResource","user_data_stream":"#/components/schemas/UserDataStreamServiceItemPublicResource","device_technical_id_registry":"#/components/schemas/DeviceTechnicalIdRegistryServiceItemPublicResource","audience_segment":"#/components/schemas/AudienceSegmentServiceItemPublicResource","inventory_access_display_network":"#/components/schemas/DisplayNetworkInventoryAccessPublicResource"}},"oneOf":[{"$ref":"#/components/schemas/UserDataStreamServiceItemPublicResource"},{"$ref":"#/components/schemas/AudienceSegmentServiceItemPublicResource"},{"$ref":"#/components/schemas/BaseServiceItemPublicResource"},{"$ref":"#/components/schemas/AdExchangeHubInventoryServiceItemPublicResource"},{"$ref":"#/components/schemas/AdExchangeInventoryAccessPublicResource"},{"$ref":"#/components/schemas/DisplayNetworkInventoryAccessPublicResource"},{"$ref":"#/components/schemas/DeviceTechnicalIdRegistryServiceItemPublicResource"},{"$ref":"#/components/schemas/UserAccountCompartmentServiceItemPublicResource"}],"properties":{"type":{"type":"string","enum":["user_data_stream","audience_segment","base","ad_exchange_hub_inventory","inventory_access_ad_exchange","inventory_access_display_network","device_technical_id_registry","user_account_compartment"]}},"required":["type"]},"UserDataStreamServiceItemPublicResource":{"type":"object","properties":{"name":{"type":"string","readOnly":false},"provider_id":{"type":"string","readOnly":true},"datamart_id":{"type":"string","readOnly":false},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"description":{"type":"string","readOnly":false},"user_identifier_filters":{"type":"array","items":{"$ref":"#/components/schemas/UserIdentifierFilterPublicResource"},"readOnly":false},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"id":{"type":"string","readOnly":true},"local_cache_mode":{"$ref":"#/components/schemas/UserDataStreamLocalCacheMode"},"user_content_filters":{"type":"array","items":{"$ref":"#/components/schemas/UserContentFilterPublicResource"},"readOnly":false},"reseller_agreement_id":{"type":"string","readOnly":false},"extension_operator":{"$ref":"#/components/schemas/UserDataStreamExtensionOperator"},"category_id":{"type":"string","readOnly":false}},"required":["category_id","datamart_id","description","extension_operator","id","list_weight","local_cache_mode","locale","name","provider_id","user_content_filters","user_identifier_filters"]},"UserIdentifierFilterPublicResource":{"discriminator":{"propertyName":"type","mapping":{"user_account_filter":"#/components/schemas/UserAccountFilterPublicResource","user_device_technical_id_filter":"#/components/schemas/UserDeviceTechnicalIdFilterPublicResource","user_email_filter":"#/components/schemas/UserEmailFilterPublicResource"}},"oneOf":[{"$ref":"#/components/schemas/UserAccountFilterPublicResource"},{"$ref":"#/components/schemas/UserDeviceTechnicalIdFilterPublicResource"},{"$ref":"#/components/schemas/UserEmailFilterPublicResource"}],"properties":{"type":{"type":"string","enum":["user_account_filter","user_device_technical_id_filter","user_email_filter"]}},"required":["type"]},"UserAccountFilterPublicResource":{"type":"object","properties":{"compartment_id":{"type":"string","readOnly":false}},"required":["compartment_id"]},"UserDeviceTechnicalIdFilterPublicResource":{"type":"object","properties":{"registry_id":{"type":"string","readOnly":false}},"required":["registry_id"]},"UserEmailFilterPublicResource":{"type":"object"},"UserDataStreamLocalCacheMode":{"type":"string","enum":["OBJECT_TREE_INDEX_CACHE","FULL_LOCAL_CACHE"],"readOnly":false},"UserContentFilterPublicResource":{"discriminator":{"propertyName":"type","mapping":{"user_activity_filter":"#/components/schemas/UserActivityFilterPublicResource","user_profile_filter":"#/components/schemas/UserProfileFilterPublicResource","user_segment_filter":"#/components/schemas/UserSegmentFilterPublicResource"}},"oneOf":[{"$ref":"#/components/schemas/UserActivityFilterPublicResource"},{"$ref":"#/components/schemas/UserProfileFilterPublicResource"},{"$ref":"#/components/schemas/UserSegmentFilterPublicResource"}],"properties":{"type":{"type":"string","enum":["user_activity_filter","user_profile_filter","user_segment_filter"]}},"required":["type"]},"UserActivityFilterPublicResource":{"type":"object","properties":{"channel_id":{"type":"string","readOnly":false}}},"UserProfileFilterPublicResource":{"type":"object","properties":{"compartment_id":{"type":"string","readOnly":false}},"required":["compartment_id"]},"UserSegmentFilterPublicResource":{"type":"object"},"UserDataStreamExtensionOperator":{"type":"string","enum":["UNION","INTERSECTION"],"readOnly":false},"AudienceSegmentServiceItemPublicResource":{"type":"object","properties":{"category_id":{"type":"string","readOnly":false},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"segment_id":{"type":"string","readOnly":false},"reseller_agreement_id":{"type":"string","readOnly":false},"provider_id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"datamart_id":{"type":"string","readOnly":false},"description":{"type":"string","readOnly":false}},"required":["category_id","datamart_id","description","id","list_weight","locale","name","provider_id","segment_id"]},"BaseServiceItemPublicResource":{"type":"object","properties":{"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"name":{"type":"string","readOnly":false},"category_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"provider_id":{"type":"string","readOnly":true},"reseller_agreement_id":{"type":"string","readOnly":false},"service_type":{"$ref":"#/components/schemas/ServiceType"},"description":{"type":"string","readOnly":false}},"required":["category_id","description","id","list_weight","locale","name","provider_id","service_type"]},"ServiceType":{"type":"object"},"AdExchangeHubInventoryServiceItemPublicResource":{"type":"object","properties":{"provider_id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false},"ad_exchange_hub_key":{"type":"string","readOnly":false},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"id":{"type":"string","readOnly":true},"reseller_agreement_id":{"type":"string","readOnly":false},"description":{"type":"string","readOnly":false},"category_id":{"type":"string","readOnly":false}},"required":["ad_exchange_hub_key","category_id","description","id","list_weight","locale","name","provider_id"]},"AdExchangeInventoryAccessPublicResource":{"allOf":[{"$ref":"#/components/schemas/InventoryAccessServiceItemPublicResource"},{"type":"object","properties":{"reseller_agreement_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"provider_id":{"type":"string","readOnly":true},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"category_id":{"type":"string","readOnly":false},"description":{"type":"string","readOnly":false},"ad_exchange_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false}},"required":["ad_exchange_id","category_id","description","id","list_weight","locale","name","provider_id"]}]},"InventoryAccessServiceItemPublicResource":{"type":"object"},"DisplayNetworkInventoryAccessPublicResource":{"allOf":[{"$ref":"#/components/schemas/InventoryAccessServiceItemPublicResource"},{"type":"object","properties":{"provider_id":{"type":"string","readOnly":true},"reseller_agreement_id":{"type":"string","readOnly":false},"description":{"type":"string","readOnly":false},"display_network_id":{"type":"string","readOnly":false},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"category_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false}},"required":["category_id","description","display_network_id","id","list_weight","locale","name","provider_id"]}]},"DeviceTechnicalIdRegistryServiceItemPublicResource":{"type":"object","properties":{"description":{"type":"string","readOnly":false},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"provider_id":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false},"category_id":{"type":"string","readOnly":false},"device_technical_id_registry_id":{"type":"string","readOnly":false},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"reseller_agreement_id":{"type":"string","readOnly":false}},"required":["category_id","description","device_technical_id_registry_id","id","list_weight","locale","name","provider_id"]},"UserAccountCompartmentServiceItemPublicResource":{"type":"object","properties":{"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"description":{"type":"string","readOnly":false},"compartment_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"category_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"provider_id":{"type":"string","readOnly":true},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"reseller_agreement_id":{"type":"string","readOnly":false}},"required":["category_id","compartment_id","description","id","list_weight","locale","name","provider_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]},"Locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /service\_items

> Search service items

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Managing services","description":"Operations related to Services, the resources that can be exchanged in the marketplace such as segments and data products."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/service_items":{"get":{"description":"","summary":"Search service items","operationId":"findServiceItems","parameters":[{"name":"organisation_id","description":"Organisation ID","schema":{"type":"integer","format":"int64"},"in":"query","style":"form","required":true,"explode":true},{"style":"form","description":"locale","schema":{"type":"string"},"name":"locale","explode":true,"in":"query","required":false},{"style":"form","required":false,"name":"parent_category_id","description":"Parent category id","explode":true,"schema":{"type":"integer","format":"int64"},"in":"query"},{"description":"Label id","in":"query","name":"label_id","schema":{"type":"integer","format":"int64"},"required":false,"style":"form","explode":true},{"in":"query","style":"form","explode":true,"schema":{"type":"integer","format":"int64"},"name":"audience_segment_id","description":"Audience segment id","required":false},{"required":false,"name":"offer_id","description":"Offer id","schema":{"type":"integer","format":"int64"},"style":"form","in":"query","explode":true},{"required":false,"style":"form","description":"Keywords","in":"query","explode":true,"name":"keywords","schema":{"type":"string"}},{"schema":{"type":"array","items":{"type":"string"}},"explode":true,"required":false,"style":"form","name":"order_by","in":"query","description":"Order by"},{"name":"first_result","description":"First result","schema":{"type":"integer","format":"int32"},"explode":true,"in":"query","style":"form","required":false},{"name":"max_results","in":"query","description":"Max results","schema":{"type":"integer","format":"int32"},"required":false,"explode":true,"style":"form"},{"explode":true,"description":"Service item type","name":"type","schema":{"type":"array","items":{"type":"string"}},"required":false,"in":"query","style":"form"}],"tags":["Managing services"],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/ServiceItemPublicResource"}},"max_results":{"type":"integer"},"count":{"type":"integer"},"total":{"type":"integer"},"first_result":{"type":"integer"},"status":{"type":"string","enum":["ok"]}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"schemas":{"ServiceItemPublicResource":{"discriminator":{"propertyName":"type","mapping":{"ad_exchange_hub_inventory":"#/components/schemas/AdExchangeHubInventoryServiceItemPublicResource","inventory_access_ad_exchange":"#/components/schemas/AdExchangeInventoryAccessPublicResource","user_account_compartment":"#/components/schemas/UserAccountCompartmentServiceItemPublicResource","base":"#/components/schemas/BaseServiceItemPublicResource","user_data_stream":"#/components/schemas/UserDataStreamServiceItemPublicResource","device_technical_id_registry":"#/components/schemas/DeviceTechnicalIdRegistryServiceItemPublicResource","audience_segment":"#/components/schemas/AudienceSegmentServiceItemPublicResource","inventory_access_display_network":"#/components/schemas/DisplayNetworkInventoryAccessPublicResource"}},"oneOf":[{"$ref":"#/components/schemas/UserDataStreamServiceItemPublicResource"},{"$ref":"#/components/schemas/AudienceSegmentServiceItemPublicResource"},{"$ref":"#/components/schemas/BaseServiceItemPublicResource"},{"$ref":"#/components/schemas/AdExchangeHubInventoryServiceItemPublicResource"},{"$ref":"#/components/schemas/AdExchangeInventoryAccessPublicResource"},{"$ref":"#/components/schemas/DisplayNetworkInventoryAccessPublicResource"},{"$ref":"#/components/schemas/DeviceTechnicalIdRegistryServiceItemPublicResource"},{"$ref":"#/components/schemas/UserAccountCompartmentServiceItemPublicResource"}],"properties":{"type":{"type":"string","enum":["user_data_stream","audience_segment","base","ad_exchange_hub_inventory","inventory_access_ad_exchange","inventory_access_display_network","device_technical_id_registry","user_account_compartment"]}},"required":["type"]},"UserDataStreamServiceItemPublicResource":{"type":"object","properties":{"name":{"type":"string","readOnly":false},"provider_id":{"type":"string","readOnly":true},"datamart_id":{"type":"string","readOnly":false},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"description":{"type":"string","readOnly":false},"user_identifier_filters":{"type":"array","items":{"$ref":"#/components/schemas/UserIdentifierFilterPublicResource"},"readOnly":false},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"id":{"type":"string","readOnly":true},"local_cache_mode":{"$ref":"#/components/schemas/UserDataStreamLocalCacheMode"},"user_content_filters":{"type":"array","items":{"$ref":"#/components/schemas/UserContentFilterPublicResource"},"readOnly":false},"reseller_agreement_id":{"type":"string","readOnly":false},"extension_operator":{"$ref":"#/components/schemas/UserDataStreamExtensionOperator"},"category_id":{"type":"string","readOnly":false}},"required":["category_id","datamart_id","description","extension_operator","id","list_weight","local_cache_mode","locale","name","provider_id","user_content_filters","user_identifier_filters"]},"UserIdentifierFilterPublicResource":{"discriminator":{"propertyName":"type","mapping":{"user_account_filter":"#/components/schemas/UserAccountFilterPublicResource","user_device_technical_id_filter":"#/components/schemas/UserDeviceTechnicalIdFilterPublicResource","user_email_filter":"#/components/schemas/UserEmailFilterPublicResource"}},"oneOf":[{"$ref":"#/components/schemas/UserAccountFilterPublicResource"},{"$ref":"#/components/schemas/UserDeviceTechnicalIdFilterPublicResource"},{"$ref":"#/components/schemas/UserEmailFilterPublicResource"}],"properties":{"type":{"type":"string","enum":["user_account_filter","user_device_technical_id_filter","user_email_filter"]}},"required":["type"]},"UserAccountFilterPublicResource":{"type":"object","properties":{"compartment_id":{"type":"string","readOnly":false}},"required":["compartment_id"]},"UserDeviceTechnicalIdFilterPublicResource":{"type":"object","properties":{"registry_id":{"type":"string","readOnly":false}},"required":["registry_id"]},"UserEmailFilterPublicResource":{"type":"object"},"UserDataStreamLocalCacheMode":{"type":"string","enum":["OBJECT_TREE_INDEX_CACHE","FULL_LOCAL_CACHE"],"readOnly":false},"UserContentFilterPublicResource":{"discriminator":{"propertyName":"type","mapping":{"user_activity_filter":"#/components/schemas/UserActivityFilterPublicResource","user_profile_filter":"#/components/schemas/UserProfileFilterPublicResource","user_segment_filter":"#/components/schemas/UserSegmentFilterPublicResource"}},"oneOf":[{"$ref":"#/components/schemas/UserActivityFilterPublicResource"},{"$ref":"#/components/schemas/UserProfileFilterPublicResource"},{"$ref":"#/components/schemas/UserSegmentFilterPublicResource"}],"properties":{"type":{"type":"string","enum":["user_activity_filter","user_profile_filter","user_segment_filter"]}},"required":["type"]},"UserActivityFilterPublicResource":{"type":"object","properties":{"channel_id":{"type":"string","readOnly":false}}},"UserProfileFilterPublicResource":{"type":"object","properties":{"compartment_id":{"type":"string","readOnly":false}},"required":["compartment_id"]},"UserSegmentFilterPublicResource":{"type":"object"},"UserDataStreamExtensionOperator":{"type":"string","enum":["UNION","INTERSECTION"],"readOnly":false},"AudienceSegmentServiceItemPublicResource":{"type":"object","properties":{"category_id":{"type":"string","readOnly":false},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"segment_id":{"type":"string","readOnly":false},"reseller_agreement_id":{"type":"string","readOnly":false},"provider_id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"datamart_id":{"type":"string","readOnly":false},"description":{"type":"string","readOnly":false}},"required":["category_id","datamart_id","description","id","list_weight","locale","name","provider_id","segment_id"]},"BaseServiceItemPublicResource":{"type":"object","properties":{"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"name":{"type":"string","readOnly":false},"category_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"provider_id":{"type":"string","readOnly":true},"reseller_agreement_id":{"type":"string","readOnly":false},"service_type":{"$ref":"#/components/schemas/ServiceType"},"description":{"type":"string","readOnly":false}},"required":["category_id","description","id","list_weight","locale","name","provider_id","service_type"]},"ServiceType":{"type":"object"},"AdExchangeHubInventoryServiceItemPublicResource":{"type":"object","properties":{"provider_id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false},"ad_exchange_hub_key":{"type":"string","readOnly":false},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"id":{"type":"string","readOnly":true},"reseller_agreement_id":{"type":"string","readOnly":false},"description":{"type":"string","readOnly":false},"category_id":{"type":"string","readOnly":false}},"required":["ad_exchange_hub_key","category_id","description","id","list_weight","locale","name","provider_id"]},"AdExchangeInventoryAccessPublicResource":{"allOf":[{"$ref":"#/components/schemas/InventoryAccessServiceItemPublicResource"},{"type":"object","properties":{"reseller_agreement_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"provider_id":{"type":"string","readOnly":true},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"category_id":{"type":"string","readOnly":false},"description":{"type":"string","readOnly":false},"ad_exchange_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false}},"required":["ad_exchange_id","category_id","description","id","list_weight","locale","name","provider_id"]}]},"InventoryAccessServiceItemPublicResource":{"type":"object"},"DisplayNetworkInventoryAccessPublicResource":{"allOf":[{"$ref":"#/components/schemas/InventoryAccessServiceItemPublicResource"},{"type":"object","properties":{"provider_id":{"type":"string","readOnly":true},"reseller_agreement_id":{"type":"string","readOnly":false},"description":{"type":"string","readOnly":false},"display_network_id":{"type":"string","readOnly":false},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"category_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false}},"required":["category_id","description","display_network_id","id","list_weight","locale","name","provider_id"]}]},"DeviceTechnicalIdRegistryServiceItemPublicResource":{"type":"object","properties":{"description":{"type":"string","readOnly":false},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"provider_id":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false},"category_id":{"type":"string","readOnly":false},"device_technical_id_registry_id":{"type":"string","readOnly":false},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"reseller_agreement_id":{"type":"string","readOnly":false}},"required":["category_id","description","device_technical_id_registry_id","id","list_weight","locale","name","provider_id"]},"UserAccountCompartmentServiceItemPublicResource":{"type":"object","properties":{"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"description":{"type":"string","readOnly":false},"compartment_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"category_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"provider_id":{"type":"string","readOnly":true},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"reseller_agreement_id":{"type":"string","readOnly":false}},"required":["category_id","compartment_id","description","id","list_weight","locale","name","provider_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /service\_items

> Create a Service Item

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Managing services","description":"Operations related to Services, the resources that can be exchanged in the marketplace such as segments and data products."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/service_items":{"post":{"parameters":[{"explode":true,"style":"form","required":true,"schema":{"type":"integer","format":"int64"},"description":"Organisation ID","name":"organisation_id","in":"query"}],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/ServiceItemPublicResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"summary":"Create a Service Item","description":"","requestBody":{"description":"The service item to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceItemPublicResource"}}},"required":true},"tags":["Managing services"],"operationId":"createServiceItem"}}},"components":{"schemas":{"ServiceItemPublicResource":{"discriminator":{"propertyName":"type","mapping":{"ad_exchange_hub_inventory":"#/components/schemas/AdExchangeHubInventoryServiceItemPublicResource","inventory_access_ad_exchange":"#/components/schemas/AdExchangeInventoryAccessPublicResource","user_account_compartment":"#/components/schemas/UserAccountCompartmentServiceItemPublicResource","base":"#/components/schemas/BaseServiceItemPublicResource","user_data_stream":"#/components/schemas/UserDataStreamServiceItemPublicResource","device_technical_id_registry":"#/components/schemas/DeviceTechnicalIdRegistryServiceItemPublicResource","audience_segment":"#/components/schemas/AudienceSegmentServiceItemPublicResource","inventory_access_display_network":"#/components/schemas/DisplayNetworkInventoryAccessPublicResource"}},"oneOf":[{"$ref":"#/components/schemas/UserDataStreamServiceItemPublicResource"},{"$ref":"#/components/schemas/AudienceSegmentServiceItemPublicResource"},{"$ref":"#/components/schemas/BaseServiceItemPublicResource"},{"$ref":"#/components/schemas/AdExchangeHubInventoryServiceItemPublicResource"},{"$ref":"#/components/schemas/AdExchangeInventoryAccessPublicResource"},{"$ref":"#/components/schemas/DisplayNetworkInventoryAccessPublicResource"},{"$ref":"#/components/schemas/DeviceTechnicalIdRegistryServiceItemPublicResource"},{"$ref":"#/components/schemas/UserAccountCompartmentServiceItemPublicResource"}],"properties":{"type":{"type":"string","enum":["user_data_stream","audience_segment","base","ad_exchange_hub_inventory","inventory_access_ad_exchange","inventory_access_display_network","device_technical_id_registry","user_account_compartment"]}},"required":["type"]},"UserDataStreamServiceItemPublicResource":{"type":"object","properties":{"name":{"type":"string","readOnly":false},"provider_id":{"type":"string","readOnly":true},"datamart_id":{"type":"string","readOnly":false},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"description":{"type":"string","readOnly":false},"user_identifier_filters":{"type":"array","items":{"$ref":"#/components/schemas/UserIdentifierFilterPublicResource"},"readOnly":false},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"id":{"type":"string","readOnly":true},"local_cache_mode":{"$ref":"#/components/schemas/UserDataStreamLocalCacheMode"},"user_content_filters":{"type":"array","items":{"$ref":"#/components/schemas/UserContentFilterPublicResource"},"readOnly":false},"reseller_agreement_id":{"type":"string","readOnly":false},"extension_operator":{"$ref":"#/components/schemas/UserDataStreamExtensionOperator"},"category_id":{"type":"string","readOnly":false}},"required":["category_id","datamart_id","description","extension_operator","id","list_weight","local_cache_mode","locale","name","provider_id","user_content_filters","user_identifier_filters"]},"UserIdentifierFilterPublicResource":{"discriminator":{"propertyName":"type","mapping":{"user_account_filter":"#/components/schemas/UserAccountFilterPublicResource","user_device_technical_id_filter":"#/components/schemas/UserDeviceTechnicalIdFilterPublicResource","user_email_filter":"#/components/schemas/UserEmailFilterPublicResource"}},"oneOf":[{"$ref":"#/components/schemas/UserAccountFilterPublicResource"},{"$ref":"#/components/schemas/UserDeviceTechnicalIdFilterPublicResource"},{"$ref":"#/components/schemas/UserEmailFilterPublicResource"}],"properties":{"type":{"type":"string","enum":["user_account_filter","user_device_technical_id_filter","user_email_filter"]}},"required":["type"]},"UserAccountFilterPublicResource":{"type":"object","properties":{"compartment_id":{"type":"string","readOnly":false}},"required":["compartment_id"]},"UserDeviceTechnicalIdFilterPublicResource":{"type":"object","properties":{"registry_id":{"type":"string","readOnly":false}},"required":["registry_id"]},"UserEmailFilterPublicResource":{"type":"object"},"UserDataStreamLocalCacheMode":{"type":"string","enum":["OBJECT_TREE_INDEX_CACHE","FULL_LOCAL_CACHE"],"readOnly":false},"UserContentFilterPublicResource":{"discriminator":{"propertyName":"type","mapping":{"user_activity_filter":"#/components/schemas/UserActivityFilterPublicResource","user_profile_filter":"#/components/schemas/UserProfileFilterPublicResource","user_segment_filter":"#/components/schemas/UserSegmentFilterPublicResource"}},"oneOf":[{"$ref":"#/components/schemas/UserActivityFilterPublicResource"},{"$ref":"#/components/schemas/UserProfileFilterPublicResource"},{"$ref":"#/components/schemas/UserSegmentFilterPublicResource"}],"properties":{"type":{"type":"string","enum":["user_activity_filter","user_profile_filter","user_segment_filter"]}},"required":["type"]},"UserActivityFilterPublicResource":{"type":"object","properties":{"channel_id":{"type":"string","readOnly":false}}},"UserProfileFilterPublicResource":{"type":"object","properties":{"compartment_id":{"type":"string","readOnly":false}},"required":["compartment_id"]},"UserSegmentFilterPublicResource":{"type":"object"},"UserDataStreamExtensionOperator":{"type":"string","enum":["UNION","INTERSECTION"],"readOnly":false},"AudienceSegmentServiceItemPublicResource":{"type":"object","properties":{"category_id":{"type":"string","readOnly":false},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"segment_id":{"type":"string","readOnly":false},"reseller_agreement_id":{"type":"string","readOnly":false},"provider_id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"datamart_id":{"type":"string","readOnly":false},"description":{"type":"string","readOnly":false}},"required":["category_id","datamart_id","description","id","list_weight","locale","name","provider_id","segment_id"]},"BaseServiceItemPublicResource":{"type":"object","properties":{"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"name":{"type":"string","readOnly":false},"category_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"provider_id":{"type":"string","readOnly":true},"reseller_agreement_id":{"type":"string","readOnly":false},"service_type":{"$ref":"#/components/schemas/ServiceType"},"description":{"type":"string","readOnly":false}},"required":["category_id","description","id","list_weight","locale","name","provider_id","service_type"]},"ServiceType":{"type":"object"},"AdExchangeHubInventoryServiceItemPublicResource":{"type":"object","properties":{"provider_id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false},"ad_exchange_hub_key":{"type":"string","readOnly":false},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"id":{"type":"string","readOnly":true},"reseller_agreement_id":{"type":"string","readOnly":false},"description":{"type":"string","readOnly":false},"category_id":{"type":"string","readOnly":false}},"required":["ad_exchange_hub_key","category_id","description","id","list_weight","locale","name","provider_id"]},"AdExchangeInventoryAccessPublicResource":{"allOf":[{"$ref":"#/components/schemas/InventoryAccessServiceItemPublicResource"},{"type":"object","properties":{"reseller_agreement_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"provider_id":{"type":"string","readOnly":true},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"category_id":{"type":"string","readOnly":false},"description":{"type":"string","readOnly":false},"ad_exchange_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false}},"required":["ad_exchange_id","category_id","description","id","list_weight","locale","name","provider_id"]}]},"InventoryAccessServiceItemPublicResource":{"type":"object"},"DisplayNetworkInventoryAccessPublicResource":{"allOf":[{"$ref":"#/components/schemas/InventoryAccessServiceItemPublicResource"},{"type":"object","properties":{"provider_id":{"type":"string","readOnly":true},"reseller_agreement_id":{"type":"string","readOnly":false},"description":{"type":"string","readOnly":false},"display_network_id":{"type":"string","readOnly":false},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"category_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false}},"required":["category_id","description","display_network_id","id","list_weight","locale","name","provider_id"]}]},"DeviceTechnicalIdRegistryServiceItemPublicResource":{"type":"object","properties":{"description":{"type":"string","readOnly":false},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"provider_id":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false},"category_id":{"type":"string","readOnly":false},"device_technical_id_registry_id":{"type":"string","readOnly":false},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"reseller_agreement_id":{"type":"string","readOnly":false}},"required":["category_id","description","device_technical_id_registry_id","id","list_weight","locale","name","provider_id"]},"UserAccountCompartmentServiceItemPublicResource":{"type":"object","properties":{"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"description":{"type":"string","readOnly":false},"compartment_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"category_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"provider_id":{"type":"string","readOnly":true},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"reseller_agreement_id":{"type":"string","readOnly":false}},"required":["category_id","compartment_id","description","id","list_weight","locale","name","provider_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /subscribed\_services/{customer\_org\_id}/offers/{offer\_id}/service\_items/{service\_id}

> Search service item for offer

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Managing services","description":"Operations related to Services, the resources that can be exchanged in the marketplace such as segments and data products."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/subscribed_services/{customer_org_id}/offers/{offer_id}/service_items/{service_id}":{"get":{"description":"","summary":"Search service item for offer","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/ServiceItemPublicResource"}},"status":{"type":"string","enum":["ok"]},"total":{"type":"integer"},"first_result":{"type":"integer"},"max_results":{"type":"integer"},"count":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["Managing services"],"parameters":[{"explode":false,"name":"customer_org_id","in":"path","required":true,"style":"simple","schema":{"type":"integer","format":"int64"}},{"schema":{"type":"integer","format":"int64"},"explode":false,"in":"path","name":"offer_id","required":true,"style":"simple"},{"style":"simple","name":"service_id","in":"path","required":true,"explode":false,"schema":{"type":"integer","format":"int64"}},{"explode":true,"schema":{"$ref":"#/components/schemas/Locale"},"in":"query","name":"locale","style":"form","required":false,"description":"locale"}],"operationId":"findServiceItemForOffer"}}},"components":{"schemas":{"ServiceItemPublicResource":{"discriminator":{"propertyName":"type","mapping":{"ad_exchange_hub_inventory":"#/components/schemas/AdExchangeHubInventoryServiceItemPublicResource","inventory_access_ad_exchange":"#/components/schemas/AdExchangeInventoryAccessPublicResource","user_account_compartment":"#/components/schemas/UserAccountCompartmentServiceItemPublicResource","base":"#/components/schemas/BaseServiceItemPublicResource","user_data_stream":"#/components/schemas/UserDataStreamServiceItemPublicResource","device_technical_id_registry":"#/components/schemas/DeviceTechnicalIdRegistryServiceItemPublicResource","audience_segment":"#/components/schemas/AudienceSegmentServiceItemPublicResource","inventory_access_display_network":"#/components/schemas/DisplayNetworkInventoryAccessPublicResource"}},"oneOf":[{"$ref":"#/components/schemas/UserDataStreamServiceItemPublicResource"},{"$ref":"#/components/schemas/AudienceSegmentServiceItemPublicResource"},{"$ref":"#/components/schemas/BaseServiceItemPublicResource"},{"$ref":"#/components/schemas/AdExchangeHubInventoryServiceItemPublicResource"},{"$ref":"#/components/schemas/AdExchangeInventoryAccessPublicResource"},{"$ref":"#/components/schemas/DisplayNetworkInventoryAccessPublicResource"},{"$ref":"#/components/schemas/DeviceTechnicalIdRegistryServiceItemPublicResource"},{"$ref":"#/components/schemas/UserAccountCompartmentServiceItemPublicResource"}],"properties":{"type":{"type":"string","enum":["user_data_stream","audience_segment","base","ad_exchange_hub_inventory","inventory_access_ad_exchange","inventory_access_display_network","device_technical_id_registry","user_account_compartment"]}},"required":["type"]},"UserDataStreamServiceItemPublicResource":{"type":"object","properties":{"name":{"type":"string","readOnly":false},"provider_id":{"type":"string","readOnly":true},"datamart_id":{"type":"string","readOnly":false},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"description":{"type":"string","readOnly":false},"user_identifier_filters":{"type":"array","items":{"$ref":"#/components/schemas/UserIdentifierFilterPublicResource"},"readOnly":false},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"id":{"type":"string","readOnly":true},"local_cache_mode":{"$ref":"#/components/schemas/UserDataStreamLocalCacheMode"},"user_content_filters":{"type":"array","items":{"$ref":"#/components/schemas/UserContentFilterPublicResource"},"readOnly":false},"reseller_agreement_id":{"type":"string","readOnly":false},"extension_operator":{"$ref":"#/components/schemas/UserDataStreamExtensionOperator"},"category_id":{"type":"string","readOnly":false}},"required":["category_id","datamart_id","description","extension_operator","id","list_weight","local_cache_mode","locale","name","provider_id","user_content_filters","user_identifier_filters"]},"UserIdentifierFilterPublicResource":{"discriminator":{"propertyName":"type","mapping":{"user_account_filter":"#/components/schemas/UserAccountFilterPublicResource","user_device_technical_id_filter":"#/components/schemas/UserDeviceTechnicalIdFilterPublicResource","user_email_filter":"#/components/schemas/UserEmailFilterPublicResource"}},"oneOf":[{"$ref":"#/components/schemas/UserAccountFilterPublicResource"},{"$ref":"#/components/schemas/UserDeviceTechnicalIdFilterPublicResource"},{"$ref":"#/components/schemas/UserEmailFilterPublicResource"}],"properties":{"type":{"type":"string","enum":["user_account_filter","user_device_technical_id_filter","user_email_filter"]}},"required":["type"]},"UserAccountFilterPublicResource":{"type":"object","properties":{"compartment_id":{"type":"string","readOnly":false}},"required":["compartment_id"]},"UserDeviceTechnicalIdFilterPublicResource":{"type":"object","properties":{"registry_id":{"type":"string","readOnly":false}},"required":["registry_id"]},"UserEmailFilterPublicResource":{"type":"object"},"UserDataStreamLocalCacheMode":{"type":"string","enum":["OBJECT_TREE_INDEX_CACHE","FULL_LOCAL_CACHE"],"readOnly":false},"UserContentFilterPublicResource":{"discriminator":{"propertyName":"type","mapping":{"user_activity_filter":"#/components/schemas/UserActivityFilterPublicResource","user_profile_filter":"#/components/schemas/UserProfileFilterPublicResource","user_segment_filter":"#/components/schemas/UserSegmentFilterPublicResource"}},"oneOf":[{"$ref":"#/components/schemas/UserActivityFilterPublicResource"},{"$ref":"#/components/schemas/UserProfileFilterPublicResource"},{"$ref":"#/components/schemas/UserSegmentFilterPublicResource"}],"properties":{"type":{"type":"string","enum":["user_activity_filter","user_profile_filter","user_segment_filter"]}},"required":["type"]},"UserActivityFilterPublicResource":{"type":"object","properties":{"channel_id":{"type":"string","readOnly":false}}},"UserProfileFilterPublicResource":{"type":"object","properties":{"compartment_id":{"type":"string","readOnly":false}},"required":["compartment_id"]},"UserSegmentFilterPublicResource":{"type":"object"},"UserDataStreamExtensionOperator":{"type":"string","enum":["UNION","INTERSECTION"],"readOnly":false},"AudienceSegmentServiceItemPublicResource":{"type":"object","properties":{"category_id":{"type":"string","readOnly":false},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"segment_id":{"type":"string","readOnly":false},"reseller_agreement_id":{"type":"string","readOnly":false},"provider_id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"datamart_id":{"type":"string","readOnly":false},"description":{"type":"string","readOnly":false}},"required":["category_id","datamart_id","description","id","list_weight","locale","name","provider_id","segment_id"]},"BaseServiceItemPublicResource":{"type":"object","properties":{"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"name":{"type":"string","readOnly":false},"category_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"provider_id":{"type":"string","readOnly":true},"reseller_agreement_id":{"type":"string","readOnly":false},"service_type":{"$ref":"#/components/schemas/ServiceType"},"description":{"type":"string","readOnly":false}},"required":["category_id","description","id","list_weight","locale","name","provider_id","service_type"]},"ServiceType":{"type":"object"},"AdExchangeHubInventoryServiceItemPublicResource":{"type":"object","properties":{"provider_id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false},"ad_exchange_hub_key":{"type":"string","readOnly":false},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"id":{"type":"string","readOnly":true},"reseller_agreement_id":{"type":"string","readOnly":false},"description":{"type":"string","readOnly":false},"category_id":{"type":"string","readOnly":false}},"required":["ad_exchange_hub_key","category_id","description","id","list_weight","locale","name","provider_id"]},"AdExchangeInventoryAccessPublicResource":{"allOf":[{"$ref":"#/components/schemas/InventoryAccessServiceItemPublicResource"},{"type":"object","properties":{"reseller_agreement_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"provider_id":{"type":"string","readOnly":true},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"category_id":{"type":"string","readOnly":false},"description":{"type":"string","readOnly":false},"ad_exchange_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false}},"required":["ad_exchange_id","category_id","description","id","list_weight","locale","name","provider_id"]}]},"InventoryAccessServiceItemPublicResource":{"type":"object"},"DisplayNetworkInventoryAccessPublicResource":{"allOf":[{"$ref":"#/components/schemas/InventoryAccessServiceItemPublicResource"},{"type":"object","properties":{"provider_id":{"type":"string","readOnly":true},"reseller_agreement_id":{"type":"string","readOnly":false},"description":{"type":"string","readOnly":false},"display_network_id":{"type":"string","readOnly":false},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"category_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false}},"required":["category_id","description","display_network_id","id","list_weight","locale","name","provider_id"]}]},"DeviceTechnicalIdRegistryServiceItemPublicResource":{"type":"object","properties":{"description":{"type":"string","readOnly":false},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"provider_id":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false},"category_id":{"type":"string","readOnly":false},"device_technical_id_registry_id":{"type":"string","readOnly":false},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"reseller_agreement_id":{"type":"string","readOnly":false}},"required":["category_id","description","device_technical_id_registry_id","id","list_weight","locale","name","provider_id"]},"UserAccountCompartmentServiceItemPublicResource":{"type":"object","properties":{"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"description":{"type":"string","readOnly":false},"compartment_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"category_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"provider_id":{"type":"string","readOnly":true},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"reseller_agreement_id":{"type":"string","readOnly":false}},"required":["category_id","compartment_id","description","id","list_weight","locale","name","provider_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]},"Locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /subscribed\_services/{customer\_org\_id}/categories

> Search categories from Service

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Managing services","description":"Operations related to Services, the resources that can be exchanged in the marketplace such as segments and data products."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/subscribed_services/{customer_org_id}/categories":{"get":{"tags":["Managing services"],"parameters":[{"explode":false,"in":"path","style":"simple","required":true,"schema":{"type":"integer","format":"int64"},"name":"customer_org_id"},{"required":false,"in":"query","explode":true,"name":"root","schema":{"type":"boolean"},"style":"form"},{"schema":{"type":"integer","format":"int64"},"explode":true,"required":false,"in":"query","style":"form","name":"parentCategoryId"},{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ServiceFamily"}},"name":"service_family","in":"query","style":"form","required":false,"explode":true},{"explode":true,"style":"form","required":false,"in":"query","schema":{"type":"array","items":{"$ref":"#/components/schemas/ServiceType"}},"name":"service_type"},{"required":false,"description":"locale","schema":{"$ref":"#/components/schemas/Locale"},"style":"form","name":"locale","explode":true,"in":"query"},{"style":"form","name":"category_type","explode":true,"in":"query","schema":{"type":"array","items":{"$ref":"#/components/schemas/ServiceCategoryType"}},"required":false},{"required":false,"style":"form","explode":true,"name":"category_subtype","schema":{"type":"array","items":{"$ref":"#/components/schemas/ServiceCategorySubtype"}},"in":"query"}],"operationId":"findCategories","summary":"Search categories from Service","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"total":{"type":"integer"},"first_result":{"type":"integer"},"max_results":{"type":"integer"},"count":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/ServiceCategoryPublicResource"}}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"description":""}}},"components":{"schemas":{"ServiceFamily":{"type":"object"},"ServiceType":{"type":"object"},"Locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"ServiceCategoryType":{"type":"object"},"ServiceCategorySubtype":{"type":"object"},"ServiceCategoryPublicResource":{"type":"object","properties":{"description":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"provider_id":{"type":"string","readOnly":true},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"parent_category_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"category_subtype":{"$ref":"#/components/schemas/ServiceCategorySubtype"}},"required":["description","id","list_weight","locale","name","provider_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":
[...]
